/* Definitions for switches for Pascal.
   Copyright (C) 1997 Free Software Foundation, Inc.

This file is part of GNU Pascal.

GNU Pascal is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU Pascal is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU Pascal; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

/* This is the contribution to the `lang_options' array in gcc.c for
   gpc.  */

#include "gcc-version.h"
#ifdef EGCS
DEFINE_LANG_NAME ("Pascal")
#define GPC_OPT(NAME, DESCRIPTION) { NAME, DESCRIPTION }
#else
#define GPC_OPT(NAME, DESCRIPTION) NAME
#endif

  GPC_OPT("-fstandard-pascal-level-0", ""),
  GPC_OPT("-fstandard-pascal", ""),
  GPC_OPT("-fextended-pascal", ""),
  GPC_OPT("-fobject-pascal", ""),
  GPC_OPT("-fborland-pascal", ""),
  GPC_OPT("-fdelphi", ""),
  GPC_OPT("-fpascal-sc", ""),
  GPC_OPT("-fgnu-pascal", ""),
  GPC_OPT("-flines", ""),
  GPC_OPT("-fdebug-tree", ""),
  GPC_OPT("-fdebug-gpi", ""),
  GPC_OPT("-fautolink", ""),
  GPC_OPT("-fno-autolink", ""),
  GPC_OPT("-fautomake", ""),
  GPC_OPT("-fno-automake", ""),
  GPC_OPT("-fautobuild", ""),
  GPC_OPT("-fno-autobuild", ""),
  GPC_OPT("-famtmpfile", ""),
  GPC_OPT("-fextended-syntax", ""),
  GPC_OPT("-fno-extended-syntax", ""),
  GPC_OPT("-fsigned-char", ""),
  GPC_OPT("-fno-signed-char", ""),
  GPC_OPT("-funsigned-char", ""),
  GPC_OPT("-fno-unsigned-char", ""),
  GPC_OPT("-fchar-escapes", ""),
  GPC_OPT("-fno-char-escapes", ""),
  GPC_OPT("-fc-numbers", ""),
  GPC_OPT("-fno-c-numbers", ""),
  GPC_OPT("-fshort-circuit", ""),
  GPC_OPT("-fno-short-circuit", ""),
  GPC_OPT("-fnested-comments", ""),
  GPC_OPT("-fno-nested-comments", ""),
  GPC_OPT("-fignore-function-results", ""),
  GPC_OPT("-fno-ignore-function-results", ""),
  GPC_OPT("-fborland-char-constants", ""),
  GPC_OPT("-fno-borland-char-constants", ""),
  GPC_OPT("-ftruncate-strings", ""),
  GPC_OPT("-fno-truncate-strings", ""),
  GPC_OPT("-fexact-compare-strings", ""),
  GPC_OPT("-fno-exact-compare-strings", ""),
  GPC_OPT("-fwrite-clip-strings", ""),
  GPC_OPT("-fno-write-clip-strings", ""),
  GPC_OPT("-fwrite-real-blank", ""),
  GPC_OPT("-fno-write-real-blank", ""),
  GPC_OPT("-fwrite-capital-exponent", ""),
  GPC_OPT("-fno-write-capital-exponent", ""),
  GPC_OPT("-ffield-widths", ""),
  GPC_OPT("-fno-field-widths", ""),
  GPC_OPT("-fsetlimit", ""),
  GPC_OPT("-fgpc-main", ""),
  GPC_OPT("-fexecutable-file-name", ""),
  GPC_OPT("-funit-path", ""),
  GPC_OPT("-fobject-path", ""),
  GPC_OPT("-fexecutable-path", ""),
  GPC_OPT("-fno-executable-path", ""),
  GPC_OPT("-funit-destination-path", ""),
  GPC_OPT("-fno-unit-destination-path", ""),
  GPC_OPT("-fobject-destination-path", ""),
  GPC_OPT("-fno-object-destination-path", ""),
  GPC_OPT("-fgpi-destination-path", ""),
  GPC_OPT("-fuses", ""),
